Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

Delete Single Send by ID


API Overview

api-overview page anchor

Twilio calls a one-time, non-automated email message delivered to a list or segment of your audience a Single Send. You can send such messages immediately or scheduled for future delivery. Single Sends can deliver promotional offers, engagement campaigns, newsletters, announcements, legal notices, or policy updates. The Single Sends API lets you create, retrieve, update, delete, schedule, and search for Single Sends. Another API endpoint provides campaign statistics. The SendGrid Knowledge Center explains the latest updates to the Single Sends API.


DELETE/v3/marketing/singlesends/{id}

Base url: https://api.sendgrid.com (The Twilio SendGrid v3 API)

This endpoint allows you to delete one Single Send using a Single Send ID.

To first retrieve all your Single Sends' IDs, you can make a GET request to the /marketing/singlensends endpoint.

Please note that a DELETE request is permanent, and your Single Send will not be recoverable after deletion.


Authentication

authentication page anchor
Property nameTypeRequiredDescription
Authorizationstring
required
Default: Bearer <<YOUR_API_KEY_HERE>>
Property nameTypeRequiredDescription
idstring
required
204404500
No response body.
Delete Single Send by IDLink to code sample: Delete Single Send by ID
1
const client = require("@sendgrid/client");
2
client.setApiKey(process.env.SENDGRID_API_KEY);
3
4
const id = "id";
5
6
const request = {
7
url: `/v3/marketing/singlesends/${id}`,
8
method: "DELETE",
9
};
10
11
client
12
.request(request)
13
.then(([response, body]) => {
14
console.log(response.statusCode);
15
console.log(response.body);
16
})
17
.catch((error) => {
18
console.error(error);
19
});